Bug 114257 - [GTK][AC] Manage actor's children by using clutter's own way.
Summary: [GTK][AC] Manage actor's children by using clutter's own way.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 105699
  Show dependency treegraph
 
Reported: 2013-04-09 02:42 PDT by ChangSeok Oh
Modified: 2013-04-19 06:53 PDT (History)
2 users (show)

See Also:


Attachments
Patch (8.32 KB, patch)
2013-04-09 02:49 PDT, ChangSeok Oh
no flags Details | Formatted Diff | Diff
Patch (8.17 KB, patch)
2013-04-17 08:53 PDT, ChangSeok Oh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ChangSeok Oh 2013-04-09 02:42:18 PDT
I believe we don't need to maintain children list of GList. We can do it by using clutter APIs like clutter_actor_get_children, clutter_actor_get_first_child, etc.
Comment 1 ChangSeok Oh 2013-04-09 02:49:22 PDT
Created attachment 197015 [details]
Patch
Comment 2 ChangSeok Oh 2013-04-17 08:53:27 PDT
Created attachment 198571 [details]
Patch
Comment 3 WebKit Commit Bot 2013-04-19 06:53:14 PDT
Comment on attachment 198571 [details]
Patch

Clearing flags on attachment: 198571

Committed r148743: <http://trac.webkit.org/changeset/148743>
Comment 4 WebKit Commit Bot 2013-04-19 06:53:16 PDT
All reviewed patches have been landed.  Closing bug.